---
sidebar_position: 1
description: User list and other functions to work with Notion in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Notion]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# User list
 Returns a list of workspace users



`Function UserList(Val Token) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Token |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from Notion



```bsl title="1C:Enterprise/OneScript code example"
    Token = "secret_9RsfMrRMqZwqp0Zl0B...";

    Result = OPI_Notion.UserList(Token);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint notion UserList \
             --token "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint notion UserList ^
             --token "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "object": "list",
 "results": [
  {
   "object": "user",
   "id": "ed71865a-9891-46bc-86cd-a92aa499cfdb",
   "name": "Techno Pizza",
   "avatar_url": null,
   "type": "person",
   "person": {
    "email": "iscript13@gmail.com"
   }
  },
  {
   "object": "user",
   "id": "8b07422e-eeea-40d1-8d5e-c784211825b0",
   "name": "1C Integration",
   "avatar_url": null,
   "type": "bot",
   "bot": {
    "owner": {
     "type": "workspace",
     "workspace": true
    },
    "workspace_name": "Bayselonarrends Notion",
    "workspace_id": "53dabb1a-8cb7-485a-9dd1-ff7053ec06b8",
    "workspace_limits": {
     "max_file_upload_size_in_bytes": 5242880
    }
   }
  }
 ],
 "next_cursor": null,
 "has_more": false,
 "type": "user",
 "user": {},
 "request_id": "eb016d03-e74e-4512-bc4d-9eccb6c8acef"
}
```
